Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network3.158.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
3.158.0.0
Broadcast address
3.158.255.255
First usable
3.158.0.1
Last usable
3.158.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 039E0000 · Integer 60686336 to 60751871
Reverse DNS zone
158.3.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000011.10011110..00000000.000000003.158.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00000011.10011110..00000000.000000003.158.0.0
Broadcast00000011.10011110..11111111.111111113.158.255.255
Split into smaller subnets/23

3.158.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
13.158.0.0/233.158.0.1 to 3.158.1.2543.158.1.255510
23.158.2.0/233.158.2.1 to 3.158.3.2543.158.3.255510
33.158.4.0/233.158.4.1 to 3.158.5.2543.158.5.255510
43.158.6.0/233.158.6.1 to 3.158.7.2543.158.7.255510
53.158.8.0/233.158.8.1 to 3.158.9.2543.158.9.255510
63.158.10.0/233.158.10.1 to 3.158.11.2543.158.11.255510
73.158.12.0/233.158.12.1 to 3.158.13.2543.158.13.255510
83.158.14.0/233.158.14.1 to 3.158.15.2543.158.15.255510
93.158.16.0/233.158.16.1 to 3.158.17.2543.158.17.255510
103.158.18.0/233.158.18.1 to 3.158.19.2543.158.19.255510
113.158.20.0/233.158.20.1 to 3.158.21.2543.158.21.255510
123.158.22.0/233.158.22.1 to 3.158.23.2543.158.23.255510
133.158.24.0/233.158.24.1 to 3.158.25.2543.158.25.255510
143.158.26.0/233.158.26.1 to 3.158.27.2543.158.27.255510
153.158.28.0/233.158.28.1 to 3.158.29.2543.158.29.255510
163.158.30.0/233.158.30.1 to 3.158.31.2543.158.31.255510
173.158.32.0/233.158.32.1 to 3.158.33.2543.158.33.255510
183.158.34.0/233.158.34.1 to 3.158.35.2543.158.35.255510
193.158.36.0/233.158.36.1 to 3.158.37.2543.158.37.255510
203.158.38.0/233.158.38.1 to 3.158.39.2543.158.39.255510
213.158.40.0/233.158.40.1 to 3.158.41.2543.158.41.255510
223.158.42.0/233.158.42.1 to 3.158.43.2543.158.43.255510
233.158.44.0/233.158.44.1 to 3.158.45.2543.158.45.255510
243.158.46.0/233.158.46.1 to 3.158.47.2543.158.47.255510
253.158.48.0/233.158.48.1 to 3.158.49.2543.158.49.255510
263.158.50.0/233.158.50.1 to 3.158.51.2543.158.51.255510
273.158.52.0/233.158.52.1 to 3.158.53.2543.158.53.255510
283.158.54.0/233.158.54.1 to 3.158.55.2543.158.55.255510
293.158.56.0/233.158.56.1 to 3.158.57.2543.158.57.255510
303.158.58.0/233.158.58.1 to 3.158.59.2543.158.59.255510
313.158.60.0/233.158.60.1 to 3.158.61.2543.158.61.255510
323.158.62.0/233.158.62.1 to 3.158.63.2543.158.63.255510
333.158.64.0/233.158.64.1 to 3.158.65.2543.158.65.255510
343.158.66.0/233.158.66.1 to 3.158.67.2543.158.67.255510
353.158.68.0/233.158.68.1 to 3.158.69.2543.158.69.255510
363.158.70.0/233.158.70.1 to 3.158.71.2543.158.71.255510
373.158.72.0/233.158.72.1 to 3.158.73.2543.158.73.255510
383.158.74.0/233.158.74.1 to 3.158.75.2543.158.75.255510
393.158.76.0/233.158.76.1 to 3.158.77.2543.158.77.255510
403.158.78.0/233.158.78.1 to 3.158.79.2543.158.79.255510
413.158.80.0/233.158.80.1 to 3.158.81.2543.158.81.255510
423.158.82.0/233.158.82.1 to 3.158.83.2543.158.83.255510
433.158.84.0/233.158.84.1 to 3.158.85.2543.158.85.255510
443.158.86.0/233.158.86.1 to 3.158.87.2543.158.87.255510
453.158.88.0/233.158.88.1 to 3.158.89.2543.158.89.255510
463.158.90.0/233.158.90.1 to 3.158.91.2543.158.91.255510
473.158.92.0/233.158.92.1 to 3.158.93.2543.158.93.255510
483.158.94.0/233.158.94.1 to 3.158.95.2543.158.95.255510
493.158.96.0/233.158.96.1 to 3.158.97.2543.158.97.255510
503.158.98.0/233.158.98.1 to 3.158.99.2543.158.99.255510
513.158.100.0/233.158.100.1 to 3.158.101.2543.158.101.255510
523.158.102.0/233.158.102.1 to 3.158.103.2543.158.103.255510
533.158.104.0/233.158.104.1 to 3.158.105.2543.158.105.255510
543.158.106.0/233.158.106.1 to 3.158.107.2543.158.107.255510
553.158.108.0/233.158.108.1 to 3.158.109.2543.158.109.255510
563.158.110.0/233.158.110.1 to 3.158.111.2543.158.111.255510
573.158.112.0/233.158.112.1 to 3.158.113.2543.158.113.255510
583.158.114.0/233.158.114.1 to 3.158.115.2543.158.115.255510
593.158.116.0/233.158.116.1 to 3.158.117.2543.158.117.255510
603.158.118.0/233.158.118.1 to 3.158.119.2543.158.119.255510
613.158.120.0/233.158.120.1 to 3.158.121.2543.158.121.255510
623.158.122.0/233.158.122.1 to 3.158.123.2543.158.123.255510
633.158.124.0/233.158.124.1 to 3.158.125.2543.158.125.255510
643.158.126.0/233.158.126.1 to 3.158.127.2543.158.127.255510
653.158.128.0/233.158.128.1 to 3.158.129.2543.158.129.255510
663.158.130.0/233.158.130.1 to 3.158.131.2543.158.131.255510
673.158.132.0/233.158.132.1 to 3.158.133.2543.158.133.255510
683.158.134.0/233.158.134.1 to 3.158.135.2543.158.135.255510
693.158.136.0/233.158.136.1 to 3.158.137.2543.158.137.255510
703.158.138.0/233.158.138.1 to 3.158.139.2543.158.139.255510
713.158.140.0/233.158.140.1 to 3.158.141.2543.158.141.255510
723.158.142.0/233.158.142.1 to 3.158.143.2543.158.143.255510
733.158.144.0/233.158.144.1 to 3.158.145.2543.158.145.255510
743.158.146.0/233.158.146.1 to 3.158.147.2543.158.147.255510
753.158.148.0/233.158.148.1 to 3.158.149.2543.158.149.255510
763.158.150.0/233.158.150.1 to 3.158.151.2543.158.151.255510
773.158.152.0/233.158.152.1 to 3.158.153.2543.158.153.255510
783.158.154.0/233.158.154.1 to 3.158.155.2543.158.155.255510
793.158.156.0/233.158.156.1 to 3.158.157.2543.158.157.255510
803.158.158.0/233.158.158.1 to 3.158.159.2543.158.159.255510
813.158.160.0/233.158.160.1 to 3.158.161.2543.158.161.255510
823.158.162.0/233.158.162.1 to 3.158.163.2543.158.163.255510
833.158.164.0/233.158.164.1 to 3.158.165.2543.158.165.255510
843.158.166.0/233.158.166.1 to 3.158.167.2543.158.167.255510
853.158.168.0/233.158.168.1 to 3.158.169.2543.158.169.255510
863.158.170.0/233.158.170.1 to 3.158.171.2543.158.171.255510
873.158.172.0/233.158.172.1 to 3.158.173.2543.158.173.255510
883.158.174.0/233.158.174.1 to 3.158.175.2543.158.175.255510
893.158.176.0/233.158.176.1 to 3.158.177.2543.158.177.255510
903.158.178.0/233.158.178.1 to 3.158.179.2543.158.179.255510
913.158.180.0/233.158.180.1 to 3.158.181.2543.158.181.255510
923.158.182.0/233.158.182.1 to 3.158.183.2543.158.183.255510
933.158.184.0/233.158.184.1 to 3.158.185.2543.158.185.255510
943.158.186.0/233.158.186.1 to 3.158.187.2543.158.187.255510
953.158.188.0/233.158.188.1 to 3.158.189.2543.158.189.255510
963.158.190.0/233.158.190.1 to 3.158.191.2543.158.191.255510
973.158.192.0/233.158.192.1 to 3.158.193.2543.158.193.255510
983.158.194.0/233.158.194.1 to 3.158.195.2543.158.195.255510
993.158.196.0/233.158.196.1 to 3.158.197.2543.158.197.255510
1003.158.198.0/233.158.198.1 to 3.158.199.2543.158.199.255510
1013.158.200.0/233.158.200.1 to 3.158.201.2543.158.201.255510
1023.158.202.0/233.158.202.1 to 3.158.203.2543.158.203.255510
1033.158.204.0/233.158.204.1 to 3.158.205.2543.158.205.255510
1043.158.206.0/233.158.206.1 to 3.158.207.2543.158.207.255510
1053.158.208.0/233.158.208.1 to 3.158.209.2543.158.209.255510
1063.158.210.0/233.158.210.1 to 3.158.211.2543.158.211.255510
1073.158.212.0/233.158.212.1 to 3.158.213.2543.158.213.255510
1083.158.214.0/233.158.214.1 to 3.158.215.2543.158.215.255510
1093.158.216.0/233.158.216.1 to 3.158.217.2543.158.217.255510
1103.158.218.0/233.158.218.1 to 3.158.219.2543.158.219.255510
1113.158.220.0/233.158.220.1 to 3.158.221.2543.158.221.255510
1123.158.222.0/233.158.222.1 to 3.158.223.2543.158.223.255510
1133.158.224.0/233.158.224.1 to 3.158.225.2543.158.225.255510
1143.158.226.0/233.158.226.1 to 3.158.227.2543.158.227.255510
1153.158.228.0/233.158.228.1 to 3.158.229.2543.158.229.255510
1163.158.230.0/233.158.230.1 to 3.158.231.2543.158.231.255510
1173.158.232.0/233.158.232.1 to 3.158.233.2543.158.233.255510
1183.158.234.0/233.158.234.1 to 3.158.235.2543.158.235.255510
1193.158.236.0/233.158.236.1 to 3.158.237.2543.158.237.255510
1203.158.238.0/233.158.238.1 to 3.158.239.2543.158.239.255510
1213.158.240.0/233.158.240.1 to 3.158.241.2543.158.241.255510
1223.158.242.0/233.158.242.1 to 3.158.243.2543.158.243.255510
1233.158.244.0/233.158.244.1 to 3.158.245.2543.158.245.255510
1243.158.246.0/233.158.246.1 to 3.158.247.2543.158.247.255510
1253.158.248.0/233.158.248.1 to 3.158.249.2543.158.249.255510
1263.158.250.0/233.158.250.1 to 3.158.251.2543.158.251.255510
1273.158.252.0/233.158.252.1 to 3.158.253.2543.158.253.255510
1283.158.254.0/233.158.254.1 to 3.158.255.2543.158.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses